Name:        vicious
Version:     2.3.3
Release:     2%{?dist}
Summary:     Modular widget library for awesome

License:     GPLv2+
URL:         https://github.com/%{name}-widgets/%{name}
Source0:     %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:   noarch

Requires:    awesome
Requires:    lua

Recommends:  alsa-utils
Recommends:  curl
Recommends:  hddtemp
Recommends:  wireless-tools
Recommends:  iw

%description
Vicious widget types are a framework for creating your own awesome widgets.
Vicious contains modules that gather data about your system, and a few helper
functions that make it easier to register timers, suspend widgets and so on.


%prep
%autosetup -p 1


%build
%{__mv} contrib/README.md README.contrib


%install
%{__mkdir_p} %{buildroot}%{_datadir}/awesome/lib/%{name}
%{__cp} -a */ *.lua %{buildroot}%{_datadir}/awesome/lib/%{name}


%files
%doc Changes.md README* TODO
%license LICENSE
%{_datadir}/awesome/lib/%{name}


%changelog
* Fri Mar 29 2019 Björn Esser <besser82@fedoraproject.org> - 2.3.3-2
- Turn most hard requirements into weak dependencies (#1693384)
- Add Recommends: iw for use with an optional module

* Tue Mar 12 2019 Björn Esser <besser82@fedoraproject.org> - 2.3.3-1
- New upstream release (#1687655)

* Fri Feb 15 2019 Björn Esser <besser82@fedoraproject.org> - 2.3.2-1
- New upstream release (#1490024)

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 11 2014 Simon Erat <erat.simon@gmail.com> - 2.1.3-1
- new upstream release (#1048834)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 12 2013 Simon Erat <erat.simon@gmail.com> - 2.1.1-4
- Changed:   Summarytext

* Tue Sep 03 2013 Simon Erat <sea@fedorapeople.org> - 2.1.1-3
- general cleanup, reordered/grouped tags
- added needed Requires, %%build, more files to %%doc
- improved %%install

* Mon Sep 02 2013 Simon Erat <sea@fedorapeople.org> - 2.1.1-2
- Got it working with original upstream and changed %%summary

* Mon Sep 02 2013 Simon Erat <sea@fedorapeople.org> - 2.1.1-1
- Updated %%summary and %%description

* Mon Sep 02 2013 Simon Erat <sea@fedorapeople.org> - 2.1.1-0
- Initial rpm release
